<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.messaging-activemq.server.security-setting.role" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="consume,create-durable-queue,create-non-durable-queue,delete-durable-queue,delete-non-durable-queue,manage,send"/>
        <elem name="addr-params" value="profile,subsystem,server,security-setting,role"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <refs>
        <ref feature="subsystem.messaging-activemq.server.security-setting"/>
        <ref feature="subsystem.messaging-activemq.server"/>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="server" feature-id="true"/>
        <param name="role" feature-id="true"/>
        <param name="delete-non-durable-queue" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="security-setting" feature-id="true"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="consume" nillable="true" stability="default"/>
        <param name="create-non-durable-queue" nillable="true" stability="default"/>
        <param name="delete-durable-queue" nillable="true" stability="default"/>
        <param name="send" nillable="true" stability="default"/>
        <param name="create-durable-queue" nillable="true" stability="default"/>
        <param name="manage" nillable="true" stability="default"/>
    </params>
</feature-spec>